Bug 301288 - Crash when changing the hour date format [@ Plasma::CalendarTable::setDate]
Summary: Crash when changing the hour date format [@ Plasma::CalendarTable::setDate]
Status: RESOLVED DUPLICATE of bug 299237
Alias: None
Product: plasma4
Classification: Plasma
Component: general (show other bugs)
Version: 4.9-git
Platform: Ubuntu Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords:
: 301296 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-06-06 15:39 UTC by Radu
Modified: 2012-06-10 07:48 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Radu 2012-06-06 15:39:18 UTC
Application: plasma-desktop (0.4)
KDE Platform Version: 4.8.3 (4.8.3)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-24-generic x86_64
Distribution: Ubuntu 12.04 LTS

-- Information about the crash:
- What I was doing when the application crashed:

Hello,

After  I have finished configuring the desktop clock and pressed "Apply" I got the error that is attached in the bug report.

If you need more info, please let me know.

Cheers,
Radu

-- Backtrace:
Application: Plasma Desktop Shell (plasma-desktop), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f4b813a8780 (LWP 1729))]

Thread 5 (Thread 0x7f4b5bf3f700 (LWP 1731)):
#0  0x00007f4b80c6bb03 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4b74e24ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4b74e25124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4b7de48426 in QEventDispatcherGlib::processEvents (this=0x7f4b540008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f4b7de17c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f4b7de17ed7 in QEventLoop::exec (this=0x7f4b5bf3edd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f4b7dd16fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f4b7ddf79ff in QInotifyFileSystemWatcherEngine::run (this=0x15c12b0) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f4b7dd19fcb in QThreadPrivate::start (arg=0x15c12b0) at thread/qthread_unix.cpp:298
#9  0x00007f4b75729e9a in start_thread (arg=0x7f4b5bf3f700) at pthread_create.c:308
#10 0x00007f4b80c774bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#11 0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f4b5a965700 (LWP 1732)):
#0  0x00007f4b74e60559 in g_mutex_lock () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#1  0x00007f4b74e24729 in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4b74e24f1b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4b74e25124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#4  0x00007f4b7de48426 in QEventDispatcherGlib::processEvents (this=0x7f4b4c0008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#5  0x00007f4b7de17c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#6  0x00007f4b7de17ed7 in QEventLoop::exec (this=0x7f4b5a964dd0, flags=...) at kernel/qeventloop.cpp:204
#7  0x00007f4b7dd16fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#8  0x00007f4b7ddf79ff in QInotifyFileSystemWatcherEngine::run (this=0x1f819f0) at io/qfilesystemwatcher_inotify.cpp:248
#9  0x00007f4b7dd19fcb in QThreadPrivate::start (arg=0x1f819f0) at thread/qthread_unix.cpp:298
#10 0x00007f4b75729e9a in start_thread (arg=0x7f4b5a965700) at pthread_create.c:308
#11 0x00007f4b80c774bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#12 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f4b530ca700 (LWP 1738)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:162
#1  0x00007f4b7abfc222 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f4b7abfc259 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f4b75729e9a in start_thread (arg=0x7f4b530ca700) at pthread_create.c:308
#4  0x00007f4b80c774bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#5  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f4b47fff700 (LWP 1740)):
#0  0x00007f4b80c6bb03 in __GI___poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
#1  0x00007f4b74e24ff6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f4b74e2545a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f4b50ef62c6 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#4  0x00007f4b74e469a5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f4b75729e9a in start_thread (arg=0x7f4b47fff700) at pthread_create.c:308
#6  0x00007f4b80c774bd in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:112
#7  0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f4b813a8780 (LWP 1729)):
[KCrash Handler]
#6  0x0000000000000021 in ?? ()
#7  0x00007f4b64040844 in dateFromRowColumn (weekdayColumn=0, weekRow=0, this=0x1b04580) at ../../../libs/plasmaclock/calendartable.cpp:252
#8  Plasma::CalendarTable::paint (this=0x1a0af20, p=0x7fffb47d0b60, option=0x16aee78, widget=<optimized out>) at ../../../libs/plasmaclock/calendartable.cpp:1146
#9  0x00007f4b7d7a197d in _q_paintItem (item=<optimized out>, painter=0x7fffb47d0b60, option=0x16aee78, widget=0x0, useWindowOpacity=<optimized out>, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4335
#10 0x00007f4b7d7a254a in _q_paintIntoCache (pix=0x7fffb47d10f0, item=0x1a0af30, pixmapExposed=..., itemToPixmap=..., renderHints=..., option=0x16aee78, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4373
#11 0x00007f4b7d7ba988 in QGraphicsScenePrivate::drawItemHelper (this=0x16aec50, item=0x1a0af30, painter=0x7fffb47d2590, option=0x16aee78, widget=<optimized out>, painterStateProtection=true) at graphicsview/qgraphicsscene.cpp:4694
#12 0x00007f4b7d7bb34b in QGraphicsScenePrivate::draw (this=0x16aec50, item=0x1a0af30, painter=0x7fffb47d2590, viewTransform=0x7fffb47d2260, transformPtr=0x7fffb47d16e0, exposedRegion=0x26e2b58, widget=0x26f7b50, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4966
#13 0x00007f4b7d7bc3d5 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x16aec50, item=0x1a0af30, painter=0x7fffb47d2590, viewTransform=0x7fffb47d2260, exposedRegion=0x26e2b58, widget=0x26f7b50, parentOpacity=<optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4857
#14 0x00007f4b7d7bb420 in QGraphicsScenePrivate::draw (this=0x16aec50, item=0x1a0ab30, painter=0x7fffb47d2590, viewTransform=0x7fffb47d2260, transformPtr=0x7fffb47d1d30, exposedRegion=0x26e2b58, widget=0x26f7b50, opacity=1, effectTransform=0x0, wasDirtyParentSceneTransform=false, drawItem=true) at graphicsview/qgraphicsscene.cpp:4996
#15 0x00007f4b7d7bc3d5 in QGraphicsScenePrivate::drawSubtreeRecursive (this=0x16aec50, item=0x1a0ab30, painter=0x7fffb47d2590, viewTransform=0x7fffb47d2260, exposedRegion=0x26e2b58, widget=0x26f7b50, parentOpacity=<optimized out>, effectTransform=0x0) at graphicsview/qgraphicsscene.cpp:4857
#16 0x00007f4b7d7bcbf1 in QGraphicsScenePrivate::drawItems (this=0x16aec50, painter=0x7fffb47d2590, viewTransform=0x7fffb47d2260, exposedRegion=0x26e2b58, widget=0x26f7b50) at graphicsview/qgraphicsscene.cpp:4739
#17 0x00007f4b7d7d5870 in QGraphicsView::paintEvent (this=<optimized out>, event=<optimized out>) at graphicsview/qgraphicsview.cpp:3471
#18 0x00007f4b7d1ec0f6 in QWidget::event (this=0x1c7a550, event=0x7fffb47d2f30) at kernel/qwidget.cpp:8508
#19 0x00007f4b7d5ac3b6 in QFrame::event (this=0x1c7a550, e=0x7fffb47d2f30) at widgets/qframe.cpp:557
#20 0x00007f4b7d7d6b2b in QGraphicsView::viewportEvent (this=0x1c7a550, event=0x7fffb47d2f30) at graphicsview/qgraphicsview.cpp:2866
#21 0x00007f4b7de19028 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x26f7b50, event=0x7fffb47d2f30) at kernel/qcoreapplication.cpp:986
#22 0x00007f4b7d19b85f in notify_helper (e=0x7fffb47d2f30, receiver=0x26f7b50, this=0x149d600) at kernel/qapplication.cpp:4555
#23 QApplicationPrivate::notify_helper (this=0x149d600, receiver=0x26f7b50, e=0x7fffb47d2f30) at kernel/qapplication.cpp:4531
#24 0x00007f4b7d1a0713 in QApplication::notify (this=0x148e680, receiver=0x26f7b50, e=0x7fffb47d2f30) at kernel/qapplication.cpp:4420
#25 0x00007f4b7eaf6bb6 in KApplication::notify (this=0x148e680, receiver=0x26f7b50, event=0x7fffb47d2f30) at ../../kdeui/kernel/kapplication.cpp:311
#26 0x00007f4b7de18e9c in QCoreApplication::notifyInternal (this=0x148e680, receiver=0x26f7b50, event=0x7fffb47d2f30) at kernel/qcoreapplication.cpp:876
#27 0x00007f4b7d1e7d96 in sendSpontaneousEvent (event=0x7fffb47d2f30, receiver=0x26f7b50) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:234
#28 QWidgetPrivate::drawWidget (this=0x26f7d50, pdev=0x34e6af0, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x1b65710) at kernel/qwidget.cpp:5585
#29 0x00007f4b7d1e8a0f in QWidgetPrivate::paintSiblingsRecursive (this=0x26e26d0, pdev=0x34e6af0, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x1b65710) at kernel/qwidget.cpp:5794
#30 0x00007f4b7d1e7acc in QWidgetPrivate::drawWidget (this=0x26e26d0, pdev=0x34e6af0, rgn=..., offset=..., flags=<optimized out>, sharedPainter=0x0, backingStore=0x1b65710) at kernel/qwidget.cpp:5638
#31 0x00007f4b7d1e8a0f in QWidgetPrivate::paintSiblingsRecursive (this=0x26e0730, pdev=0x34e6af0, siblings=..., index=<optimized out>, rgn=..., offset=..., flags=4, sharedPainter=0x0, backingStore=0x1b65710) at kernel/qwidget.cpp:5794
#32 0x00007f4b7d1e7acc in QWidgetPrivate::drawWidget (this=0x26e0730, pdev=0x34e6af0, rgn=..., offset=..., flags=<optimized out>, sharedPainter=0x0, backingStore=0x1b65710) at kernel/qwidget.cpp:5638
#33 0x00007f4b7d3b8b58 in QWidgetBackingStore::sync (this=0x1b65710) at painting/qbackingstore.cpp:1373
#34 0x00007f4b7d1deac0 in QWidgetPrivate::syncBackingStore (this=0x26e0730) at kernel/qwidget.cpp:1891
#35 0x00007f4b7d1ec60c in QWidget::event (this=0x197d150, event=0x35296c0) at kernel/qwidget.cpp:8655
#36 0x00007f4b7d19b894 in notify_helper (e=0x35296c0, receiver=0x197d150, this=0x149d600) at kernel/qapplication.cpp:4559
#37 QApplicationPrivate::notify_helper (this=0x149d600, receiver=0x197d150, e=0x35296c0) at kernel/qapplication.cpp:4531
#38 0x00007f4b7d1a0713 in QApplication::notify (this=0x148e680, receiver=0x197d150, e=0x35296c0) at kernel/qapplication.cpp:4420
#39 0x00007f4b7eaf6bb6 in KApplication::notify (this=0x148e680, receiver=0x197d150, event=0x35296c0) at ../../kdeui/kernel/kapplication.cpp:311
#40 0x00007f4b7de18e9c in QCoreApplication::notifyInternal (this=0x148e680, receiver=0x197d150, event=0x35296c0) at kernel/qcoreapplication.cpp:876
#41 0x00007f4b7de1cc6a in sendEvent (event=0x35296c0, receiver=0x197d150) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#42 QCoreApplicationPrivate::sendPostedEvents (receiver=0x197d150, event_type=77, data=0x142b1f0) at kernel/qcoreapplication.cpp:1500
#43 0x00007f4b7d7b190a in dispatchPendingUpdateRequests (this=0x26e26d0) at ../../include/QtGui/private/../../../src/gui/graphicsview/qgraphicsview_p.h:200
#44 QGraphicsScenePrivate::_q_processDirtyItems (this=0x16aec50) at graphicsview/qgraphicsscene.cpp:515
#45 0x00007f4b7d7b1a61 in qt_static_metacall (_a=<optimized out>, _id=<optimized out>, _o=<optimized out>, _c=<optimized out>) at .moc/release-shared/moc_qgraphicsscene.cpp:107
#46 QGraphicsScene::qt_static_metacall (_o=<optimized out>, _c=<optimized out>, _id=<optimized out>, _a=<optimized out>) at .moc/release-shared/moc_qgraphicsscene.cpp:86
#47 0x00007f4b7de32446 in QObject::event (this=0x15eaea0, e=<optimized out>) at kernel/qobject.cpp:1195
#48 0x00007f4b7d7b85d9 in QGraphicsScene::event (this=0x15eaea0, event=0x3a412e0) at graphicsview/qgraphicsscene.cpp:3565
#49 0x00007f4b7d19b894 in notify_helper (e=0x3a412e0, receiver=0x15eaea0, this=0x149d600) at kernel/qapplication.cpp:4559
#50 QApplicationPrivate::notify_helper (this=0x149d600, receiver=0x15eaea0, e=0x3a412e0) at kernel/qapplication.cpp:4531
#51 0x00007f4b7d1a0713 in QApplication::notify (this=0x148e680, receiver=0x15eaea0, e=0x3a412e0) at kernel/qapplication.cpp:4420
#52 0x00007f4b7eaf6bb6 in KApplication::notify (this=0x148e680, receiver=0x15eaea0, event=0x3a412e0) at ../../kdeui/kernel/kapplication.cpp:311
#53 0x00007f4b7de18e9c in QCoreApplication::notifyInternal (this=0x148e680, receiver=0x15eaea0, event=0x3a412e0) at kernel/qcoreapplication.cpp:876
#54 0x00007f4b7de1cc6a in sendEvent (event=0x3a412e0, receiver=0x15eaea0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#55 QCoreApplicationPrivate::sendPostedEvents (receiver=0x0, event_type=0, data=0x142b1f0) at kernel/qcoreapplication.cpp:1500
#56 0x00007f4b7de47f93 in sendPostedEvents () at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:236
#57 postEventSourceDispatch (s=<optimized out>) at kernel/qeventdispatcher_glib.cpp:279
#58 0x00007f4b74e24c9a in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#59 0x00007f4b74e25060 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#60 0x00007f4b74e25124 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#61 0x00007f4b7de483bf in QEventDispatcherGlib::processEvents (this=0x142cad0, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#62 0x00007f4b7d243d5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#63 0x00007f4b7de17c82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#64 0x00007f4b7de17ed7 in QEventLoop::exec (this=0x7fffb47d5010, flags=...) at kernel/qeventloop.cpp:204
#65 0x00007f4b7de1cf67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#66 0x00007f4b80f83a13 in kdemain (argc=1, argv=0x7fffb47d53f8) at ../../../../plasma/desktop/shell/main.cpp:120
#67 0x00007f4b80ba676d in __libc_start_main (main=0x400640 <main(int, char**)>, argc=1, ubp_av=0x7fffb47d53f8, init=<optimized out>, fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffb47d53e8) at libc-start.c:226
#68 0x0000000000400671 in _start ()

Reported using DrKonqi
Comment 1 Anne-Marie Mahfouf 2012-06-06 16:12:12 UTC
Confirmed on git trunk today.
It happens when you 
- click on Digital Clock Settings
- Date format: click on teh Settings icon
- System Settings opens, go to Date &Time tab, change the Time format, Apply
- go back to Digital Clock settings, change the Date format
it crashes

Thread 1 (Thread 0xb1d72760 (LWP 30699)):
[KCrash Handler]
#6  0x90fffaf8 in ?? ()
#7  0xb092e9f3 in Plasma::CalendarTable::setDate (this=0x8584988, newDate=...) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/calendartable.cpp:495
#8  0xb092bc84 in Plasma::Calendar::setDate (this=0x854f7f8, toDate=...) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/calendar.cpp:279
#9  0xb092239b in ClockApplet::updateClockApplet (this=0x834a360, data=...) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/clockapplet.cpp:342
#10 0xb071c91d in Clock::dataUpdated (this=0x834a360, source=..., data=...) at /usr/local/kde-master-src/kde-workspace/plasma/generic/applets/digital-clock/clock.cpp:257
#11 0xb071fb5f in Clock::qt_static_metacall (_o=0x834a360, _c=QMetaObject::InvokeMetaMethod, _id=0, _a=0xbffed7fc) at /usr/local/kde-master-src/kde-workspace/build/plasma/generic/applets/digital-clock/clock.moc:64
#12 0xb57c12d3 in QMetaMethod::invoke(QObject*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) const () from /usr/local/master/qt/lib/libQtCore.so.4
#13 0xb57c295c in QMetaObject::invokeMethod(QObject*, char const*, Qt::ConnectionType, QGenericReturnArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument, QGenericArgument) () from /usr/local/master/qt/lib/libQtCore.so.4
#14 0xb6fe46b1 in QMetaObject::invokeMethod (obj=0x834a360, member=0xb71a20ee "dataUpdated", val0=..., val1=..., val2=..., val3=..., val4=..., val5=..., val6=..., val7=..., val8=..., val9=...) at /usr/local/master/qt/include/QtCore/qobjectdefs.h:434
#15 0xb701a265 in Plasma::DataEnginePrivate::connectSource (this=0x8549198, s=0x8592900, visualization=0x834a360, pollingInterval=60000, align=Plasma::AlignToMinute, immediateCall=true) at /usr/local/kde-master-src/kdelibs/plasma/dataengine.cpp:674
#16 0xb70182c5 in Plasma::DataEngine::connectSource (this=0x8549a98, source=..., visualization=0x834a360, pollingInterval=60000, intervalAlignment=Plasma::AlignToMinute) at /usr/local/kde-master-src/kdelibs/plasma/dataengine.cpp:106
#17 0xb071d9a2 in Clock::changeEngineTimezone (this=0x834a360, oldTimezone=..., newTimezone=...) at /usr/local/kde-master-src/kde-workspace/plasma/generic/applets/digital-clock/clock.cpp:401
#18 0xb092338e in ClockApplet::configAccepted (this=0x834a360) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/clockapplet.cpp:484
#19 0xb0922e75 in ClockApplet::configChanged (this=0x834a360) at /usr/local/kde-master-src/kde-workspace/libs/plasmaclock/clockapplet.cpp:436
#20 0xb6fde5ab in Plasma::AppletPrivate::propagateConfigChanged (this=0x834a168) at /usr/local/kde-master-src/kdelibs/plasma/applet.cpp:2187
#21 0xb6fde298 in Plasma::AppletPrivate::configDialogFinished (this=0x834a168) at /usr/local/kde-master-src/kdelibs/plasma/applet.cpp:2144
#22 0xb6fe386e in Plasma::Applet::qt_static_metacall (_o=0x834a360, _c=QMetaObject::InvokeMetaMethod, _id=35, _a=0xbffee0ac) at /usr/local/kde-master-src/kdelibs/build/plasma/applet.moc:199
#23 0xb57ce198 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/local/master/qt/lib/libQtCore.so.4
#24 0xb5e5fd6b in KDialog::applyClicked (this=0x9f155f8) at /usr/local/kde-master-src/kdelibs/build/kdeui/kdialog.moc:260
#25 0xb5e5e7c3 in KDialog::slotButtonClicked (this=0x9f155f8, button=8) at /usr/local/kde-master-src/kdelibs/kdeui/dialogs/kdialog.cpp:888
#26 0xb5e5fa35 in KDialog::qt_static_metacall (_o=0x9f155f8, _c=QMetaObject::InvokeMetaMethod, _id=33, _a=0xbffee228) at /usr/local/kde-master-src/kdelibs/build/kdeui/kdialog.moc:167
#27 0xb57ce198 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/local/master/qt/lib/libQtCore.so.4
#28 0xb57d46c3 in QSignalMapper::mapped(int) () from /usr/local/master/qt/lib/libQtCore.so.4
#29 0xb57d4924 in QSignalMapper::map(QObject*) () from /usr/local/master/qt/lib/libQtCore.so.4
#30 0xb57d4a2e in QSignalMapper::map() () from /usr/local/master/qt/lib/libQtCore.so.4
#31 0xb57d4ef8 in ?? () from /usr/local/master/qt/lib/libQtCore.so.4
#32 0xb57ce198 in QMetaObject::activate(QObject*, QMetaObject const*, int, void**) () from /usr/local/master/qt/lib/libQtCore.so.4
#33 0xb53a1ad9 in QAbstractButton::clicked(bool) () from /usr/local/master/qt/lib/libQtGui.so.4
#34 0xb50a3559 in ?? () from /usr/local/master/qt/lib/libQtGui.so.4
#35 0xb50a4e14 in ?? () from /usr/local/master/qt/lib/libQtGui.so.4
#36 0xb50a50ce in QAbstractButton::mouseReleaseEvent(QMouseEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#37 0xb4cdb7b4 in QWidget::event(QEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#38 0xb50a410e in QAbstractButton::event(QEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#39 0xb5145992 in QPushButton::event(QEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#40 0xb4c81e04 in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#41 0xb4c8b3b0 in QApplication::notify(QObject*, QEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#42 0xb5f14b82 in KApplication::notify (this=0x80a39d8, receiver=0x966bb50, event=0xbffeebe8) at /usr/local/kde-master-src/kdelibs/kdeui/kernel/kapplication.cpp:311
#43 0xb57b7b6b in QCoreApplication::notifyInternal(QObject*, QEvent*) () from /usr/local/master/qt/lib/libQtCore.so.4
#44 0xb4c82d72 in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/local/master/qt/lib/libQtGui.so.4
#45 0xb4d0cb0c in ?? () from /usr/local/master/qt/lib/libQtGui.so.4
#46 0xb4d0aff7 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/local/master/qt/lib/libQtGui.so.4
#47 0xb4d35c82 in ?? () from /usr/local/master/qt/lib/libQtGui.so.4
#48 0xb2399e2f in g_main_context_dispatch () from /usr/lib/libglib-2.0.so.0
#49 0xb239a560 in ?? () from /usr/lib/libglib-2.0.so.0
#50 0xb239a7fa in g_main_context_iteration () from /usr/lib/libglib-2.0.so.0
#51 0xb57e922c in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/local/master/qt/lib/libQtCore.so.4
#52 0xb4d35895 in ?? () from /usr/local/master/qt/lib/libQtGui.so.4
#53 0xb57b6a89 in QEventLoop::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/local/master/qt/lib/libQtCore.so.4
#54 0xb57b6d3a in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) () from /usr/local/master/qt/lib/libQtCore.so.4
#55 0xb57bb97f in QCoreApplication::exec() () from /usr/local/master/qt/lib/libQtCore.so.4
#56 0xb4c7fc17 in QApplication::exec() () from /usr/local/master/qt/lib/libQtGui.so.4
#57 0xb7712cbe in kdemain (argc=1, argv=0xbffef4f4) at /usr/local/kde-master-src/kde-workspace/plasma/desktop/shell/main.cpp:120
#58 0x08048899 in main (argc=1, argv=0xbffef4f4) at /usr/local/kde-master-src/kde-workspace/build/plasma/desktop/shell/plasma-desktop_dummy.cpp:3
Comment 2 Thijs 2012-06-06 19:07:39 UTC
*** Bug 301296 has been marked as a duplicate of this bug. ***
Comment 3 Anne-Marie Mahfouf 2012-06-07 16:34:05 UTC
CCing John Layt as it's about calendar. John can you have a look please? I can't make sense of where the crash exactly is.
Comment 4 Anne-Marie Mahfouf 2012-06-08 19:47:27 UTC
Also triggered when changing locale from System Settings
Comment 5 Anne-Marie Mahfouf 2012-06-10 07:48:36 UTC
Duplicate of https://bugs.kde.org/show_bug.cgi?id=299237 which I reopened.

*** This bug has been marked as a duplicate of bug 299237 ***